Compatible Devices

In general, any iPads, iPhones, and iPod Touches that can be updated to use Apple's latest iOS release are compatible with RecoStudio MultiCam, but we know that it is helpful to have a list when shopping for new devices. 

For the best results, you want something running iOS 11 as your main switching device and devices running at least iOS 10 as remote cameras. It is important to note that older devices might not be able to access all the features in RecoStudio MultiCam. And the cameras are not as powerful so the quality will not be as clear.

Here are the compatible iOS devices by category that can be used with the latest version of RecoStudio MultiCam!

Compatible iPads

  • iPad 5th Generation
  • iPad 4th Generation
  • iPad Pro 12.9-inch
  • iPad Pro 10.5-inch
  • iPad Pro 9.7-inch
  • iPad Air 2
  • iPad Air
  • iPad Mini 4
  • iPad Mini 3
  • iPad Mini 2

Compatible iPhones

  • iPhone X
  • iPhone 8+
  • iPhone 8
  • iPhone 7+
  • iPhone 7
  • iPhone 6S+
  • iPhone 6S
  • iPhone 6+
  • iPhone 6
  • iPhone 5S
  • iPhone SE

Compatible iPods

  • iPod touch 6th generation

Compatible Macs (For Use With SwitcherCast ONLY)

  • Mac Pro: Mid 2010 or newer
  • Mac Mini: Mid 2010 or newer
  • MacBook Air: Late 2010 or newer
  • MacBook Pro: Mid 2010 or newer
  • MacBook and MacBook Retina: Late 2009 or newer
  • iMac: Late 2009 or newer

**Older iOS devices may work with Switcher Studio's services, but the video quality may not perform as expected and some features may be inaccessible.**

Still need help? Contact Us Contact Us